%{?nodejs_find_provides_and_requires}

%global packagename pseudomap
%global enable_tests 0
# Tests disabled because our version of npm(tap) is too old

Name:		nodejs-pseudomap
Version:	1.0.2
Release:	%mkrel 3
Summary:	A thing that is a lot like ES6 `Map`, but without iterators

License:	ISC
URL:		https://github.com/isaacs/pseudomap.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Group:          Development/Other
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
A thing that is a lot like ES6 `Map`, but without iterators, for use in
environments where `for..of` syntax and `Map` are not available.


%prep
%setup -q -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
tap test
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.2-3.mga10
+ Revision: 2209398
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.0.2-2.mga9
+ Revision: 1820162
- Mageia 9 Mass Rebuild

* Sat Jun 27 2020 joequant <joequant> 1.0.2-1.mga8
+ Revision: 1599601
- imported package nodejs-pseudomap

